﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Yokogawa DL1740E (1 yr) VER IEEE /5800+5Ch,33250
INSTRUMENT:            Sub Yokogawa DL1740EL (1 yr) VER IEEE /5800+5Ch,33250
DATE:                  2017-04-13 13:47:41
AUTHOR:                Fluke
REVISION:              $Revision: 19274 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       239
CONFIGURATION:         Fluke 5800A (C5)
CONFIGURATION:         Agilent 33250A
=============================================================================
#
#  Procedure Author:
#        VY, DAC
#
#  Source(s):
#        Yokogawa DL1720E/DL1740E/DL1740EL Digital Oscilloscope
#        Service Manual, SM 701730-01E, 1st Edition, Octocber 2004
#
#  Additional Equipment Required:
#        BNC T (f-m-f)
#        Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
#        Dual input coupler
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M5800                                                    C1
  1.003  5800         600MH                        1Vpp           LS S6 S  L
  1.004  M5800                                                    C2
  1.005  5800         600MH                        1Vpp           LS S6 S  L
  1.006  M5800                                                    C3
  1.007  5800         600MH                        1Vpp           LS S6 S  L
  1.008  M5800                                                    C4
  1.009  5800         600MH                        1Vpp           LS S6 S  L
  1.010  33250        *                                                 S
  1.011  ENDIF

  1.012  IF           NOT(VERSIONCHECK("7.3"))
  1.013  END
  1.014  ENDIF

  1.015  ASK-   R   Q N              P                            A        V

  1.016  CALL         Sub Display Copyright
  1.017  CALL         Sub High Voltage Safety Warning
  1.018  CALL         Sub Select Failed Test Mode
  1.019  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.020  HEAD         PRELIMINARY INSTRUCTIONS
  1.021  DISP         Ambient temperature: 18 °C - 28 °C.
  1.021  DISP         Relative humidity: less than 80 %.
  1.021  DISP         Warmup time: 30 minutes.

  1.022  HEAD         PRELIMINARY INSTRUCTIONS
  1.023  CALL         Sub Yokogawa DL17x0 Setup Interface IEEE
  1.024  CALL         Sub UUT Connection GPIB

  1.018  MATH         @UUT_Manufacturer = "YOKOGAWA"

  1.019  IF           PSUB("DL1740EL")
  1.020  MATH         @UUT_Model = "DL1740EL"
  1.021  ELSE
  1.022  MATH         @UUT_Model = "DL1740E"
  1.023  ENDIF

  1.024  MATH         @UUT_AssetNum = UUT()

  1.028  IF           NOT(EMPTY(@UUT_AssetNum))
  1.029  MATH         @UUT_SerialNum = SN(@UUT_AssetNum)
  1.030  ENDIF

  1.031  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.032  CALL         Sub Yokogawa DL17x0 Model Number

  1.033  IF           @Abort
  1.034  END
  1.035  ENDIF

  1.036  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.037  IF           @Abort
  1.038  END
  1.039  ENDIF

  1.040  HEAD         EQUIPMENT REQUIREMENTS
  1.041  OPBR         -z Do you want to review the list of additional
  1.041  OPBR         equipment and/or accessories required?

  1.042  IF           MEM1
  1.043  DISP         The following additional equipment and/or
  1.043  DISP         accessories are required:
  1.043  DISP
  1.043  DISP         - BNC T (f-m-f)
  1.043  DISP         - Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
  1.043  DISP         - Dual input coupler
  1.044  ENDIF

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Preserving Results Order While Optimizing
# Execution Sequence in MET/CAL Procedures.

  1.045  RESET        *CLS
  1.046  IEEE2        *RST

  1.047  CALL         Sub Yokogawa Set Bandwidth & Num_Chan
  1.048  CALL         Sub Yokogawa DL17x0 Self Test IEEE
  1.049  CALL         Sub Yokogawa DL17x0E Line Trigger and Hold Off IEEE
  1.050  CALL         Sub Yokogawa DL17x0E Probe Compensation Output IEEE

  1.051  DISP         Connect the 5800 to the UUT as follows:
  1.052  DISP         [32] 58xxA CHAN 1 to the UUT CH 1
  1.053  DISP         [32] 58xxA CHAN 2 to the UUT CH 2
  1.054  DISP         [32] 58xxA CHAN 3 to the UUT CH 3
  1.055  DISP         [32] 58xxA CHAN 4 to the UUT CH 4

  1.056  MATH         M[1] = 1
  1.057  M5800                                                    C1
  1.058  CALL         Sub Yokogawa DL17x0 (1 yr) Timebase Acc IEEE /5800
  1.059  CALL         Sub Yokogawa DL17x0 (1 yr) Bandwidth IEEE /5800
  1.060  MATH         M[1] = 2
  1.061  M5800                                                    C2
  1.062  CALL         Sub Yokogawa DL17x0 (1 yr) Bandwidth IEEE /5800
  1.063  MATH         M[1] = 3
  1.064  M5800                                                    C3
  1.065  CALL         Sub Yokogawa DL17x0 (1 yr) Bandwidth IEEE /5800
  1.066  MATH         M[1] = 4
  1.067  M5800                                                    C4
  1.068  CALL         Sub Yokogawa DL17x0 (1 yr) Bandwidth IEEE /5800

  1.069  MATH         M[1] = 1
  1.070  M5800                                                    C1
  1.071  CALL         Sub Yokogawa DL17x0E (1 yr) Trig Lev Acc IEEE /5800
  1.072  MATH         M[1] = 2
  1.073  M5800                                                    C2
  1.074  CALL         Sub Yokogawa DL17x0E (1 yr) Trig Lev Acc IEEE /5800
  1.075  MATH         M[1] = 3
  1.076  M5800                                                    C3
  1.077  CALL         Sub Yokogawa DL17x0E (1 yr) Trig Lev Acc IEEE /5800
  1.078  MATH         M[1] = 4
  1.079  M5800                                                    C4
  1.080  CALL         Sub Yokogawa DL17x0E (1 yr) Trig Lev Acc IEEE /5800
  1.081  JMPL         OFFSET_ACC

  1.082  LABEL        TRIG_SENSISTIVITY
  1.083  MATH         M[1] = 1
  1.084  M5800                                                    C1
  1.085  CALL         Sub Yokogawa DL17x0E (1 yr) Trig Sens IEEE /5800
  1.086  MATH         M[1] = 2
  1.087  M5800                                                    C2
  1.088  CALL         Sub Yokogawa DL17x0E (1 yr) Trig Sens IEEE /5800
  1.089  MATH         M[1] = 3
  1.090  M5800                                                    C3
  1.091  CALL         Sub Yokogawa DL17x0E (1 yr) Trig Sens IEEE /5800
  1.092  MATH         M[1] = 4
  1.093  M5800                                                    C4
  1.094  CALL         Sub Yokogawa DL17x0E (1 yr) Trig Sens IEEE /5800
  1.095  JMPL         EXT_CLOCK_INPUT

  1.096  LABEL        OFFSET_ACC
  1.097  MATH         M[1] = 1
  1.098  M5800                                                    C1
  1.099  CALL         Sub Yokogawa DL17x0 (1 yr) Offset Acc IEEE /5800
  1.100  MATH         M[1] = 2
  1.101  M5800                                                    C2
  1.102  CALL         Sub Yokogawa DL17x0 (1 yr) Offset Acc IEEE /5800
  1.103  MATH         M[1] = 3
  1.104  M5800                                                    C3
  1.105  CALL         Sub Yokogawa DL17x0 (1 yr) Offset Acc IEEE /5800
  1.106  MATH         M[1] = 4
  1.107  M5800                                                    C4
  1.108  CALL         Sub Yokogawa DL17x0 (1 yr) Offset Acc IEEE /5800

  1.109  MATH         M[1] = 1
  1.110  M5800                                                    C1
  1.111  CALL         Sub Yokogawa DL17x0 (1 yr) DCV Acc IEEE /5800
  1.112  MATH         M[1] = 2
  1.113  M5800                                                    C2
  1.114  CALL         Sub Yokogawa DL17x0 (1 yr) DCV Acc IEEE /5800
  1.115  MATH         M[1] = 3
  1.116  M5800                                                    C3
  1.117  CALL         Sub Yokogawa DL17x0 (1 yr) DCV Acc IEEE /5800
  1.118  MATH         M[1] = 4
  1.119  M5800                                                    C4
  1.120  CALL         Sub Yokogawa DL17x0 (1 yr) DCV Acc IEEE /5800
  1.121  JMPL         TRIG_SENSISTIVITY

  1.122  LABEL        EXT_TRIG_LEVEL_ACC
  1.123  DISP         Connect a BNC T (f-m-f) to UUT CH1.
  1.123  DISP
  1.123  DISP         Connect 58xxA CHAN 1 to one side of the BNC T.
  1.123  DISP
  1.123  DISP         Connect the other side of the BNC T to UUT EXT TRIG IN
  1.123  DISP         on the rear panel via a 50 Ohm feed through.
  1.124  MATH         M[1] = 1
  1.125  M5800                                                    C1
  1.126  MATH         M[1] = 1
  1.127  CALL         Sub Yokogawa DL17x0E (1 yr) ExTrig Lev Acc IEEE /5800

  1.128  DISP         Connect UUT TRIG OUT on the rear panel to UUT CH2
  1.128  DISP         through a BNC cable.
  1.129  MATH         M[1] = 1
  1.130  M5800                                                    C1
  1.131  CALL         Sub Yokogawa DL17x0E (1 yr) ExTrig Sens IEEE /5800
  1.132  JMPL         END

  1.133  LABEL        EXT_CLOCK_INPUT
  1.134  DISP         Connect 33250A Output on 33250A front panel to UUT EXT
  1.134  DISP         CLOCK IN terminal on UUT rear panel via a 50 ohm feed
  1.134  DISP         through.
  1.135  DISP         Connect 58xxA CHAN 1 to UUT CH1 and CH2 via a dual input
  1.135  DISP         coupler.
  1.136  MATH         M[1] = 1; M[2] = 2
  1.137  M5800                                                    C1
  1.138  CALL         Sub Yokogawa DL17x0E (1 yr) ExClock In IEEE /5800,33250

  1.139  DISP         Connect 58xxA CHAN 1 to UUT CH3 and CH4 via a dual input
  1.139  DISP         coupler.
  1.140  MATH         M[1] = 3; M[2] = 4
  1.141  M5800                                                    C1
  1.142  CALL         Sub Yokogawa DL17x0E (1 yr) ExClock In IEEE /5800,33250
  1.143  DISP         Remove all connections.
  1.144  JMPL         EXT_TRIG_LEVEL_ACC

  1.145  LABEL        END
  1.146  END
